summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeffrey Gardner <je_fro@gentoo.org>2012-01-21 19:39:31 +0000
committerJeffrey Gardner <je_fro@gentoo.org>2012-01-21 19:39:31 +0000
commit80748f0dc4f5f9bee1ddca25b1e00aa796d82908 (patch)
treed9fd0fc7da9de187aa59f177cce477ea7adf2741 /sci-biology
parentadd latest cgminer (diff)
downloadje_fro-80748f0dc4f5f9bee1ddca25b1e00aa796d82908.tar.gz
je_fro-80748f0dc4f5f9bee1ddca25b1e00aa796d82908.tar.bz2
je_fro-80748f0dc4f5f9bee1ddca25b1e00aa796d82908.zip
Some cleanup and begin working on seaview
svn path=/; revision=320
Diffstat (limited to 'sci-biology')
-rw-r--r--sci-biology/seaview/Manifest2
-rw-r--r--sci-biology/seaview/seaview-4.3.2.ebuild65
2 files changed, 67 insertions, 0 deletions
diff --git a/sci-biology/seaview/Manifest b/sci-biology/seaview/Manifest
index 40dae82..4a9b16b 100644
--- a/sci-biology/seaview/Manifest
+++ b/sci-biology/seaview/Manifest
@@ -1,4 +1,6 @@
DIST seaview_4.3.0.tar.gz 306756 RMD160 2a16742e46dc46a895ed71c9f09740b3005f0e39 SHA1 db07722f487c234cac57cbd4c26065ec494da435 SHA256 6fe4c0f5b65aaa2c0b6298e07269be476cd22cec0d60628125f43133cf23e702
+DIST seaview_4.3.2.tar.gz 311332 RMD160 9845fa6a9b028923c344b58d92ad6b42489063f4 SHA1 5d79fbb67bac9271c84727f4d91bc6243b706e4a SHA256 1c80a868e5f2fb8ee945e9ae4411a45740689f0884ad2ec3c7beedcab7847fa5
EBUILD seaview-4.3.0.ebuild 1566 RMD160 6b3d62ac4ec23b616416c2240f1182a544081543 SHA1 730e779628b9c0a0631b5520426d44394ae4c05e SHA256 fe4cc09d30789adc5e95979f1362565837432fffe6cc48965b888fa30a09e48e
+EBUILD seaview-4.3.2.ebuild 1705 RMD160 1f01379fc2723ff296602747d0ee05df07191a87 SHA1 6dc4710ed7e65bfee6f76a4ab7a6d4af02c95850 SHA256 ca482a79ed7511d96328a55e41f4be91ea88659525545545bf7abc7ec43b5626
MISC ChangeLog 6973 RMD160 595b90e993cbee2d7fb9644966c33803d59cbcb4 SHA1 dceeb60078a285a304b5220155361b20e7d2b1a0 SHA256 9e431d81b1751316b09495f87e7339685279268d728ee677166eb9ffd5c2da58
MISC metadata.xml 619 RMD160 f7bd8491d8c59372963d3f53e322e52d509c0c81 SHA1 d35f32cd0b1171a837f6c9d0dbeb3e396a44fb90 SHA256 ee63d33ca527ca555056c6bc3a7d89fa9b5f32e5f82b7eae27b1c030c80ced9e
diff --git a/sci-biology/seaview/seaview-4.3.2.ebuild b/sci-biology/seaview/seaview-4.3.2.ebuild
new file mode 100644
index 0000000..cf03cbd
--- /dev/null
+++ b/sci-biology/seaview/seaview-4.3.2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit toolchain-funcs multilib eutils base
+
+DESCRIPTION="A graphical multiple sequence alignment editor"
+HOMEPAGE="http://pbil.univ-lyon1.fr/software/seaview.html"
+SRC_URI="ftp://pbil.univ-lyon1.fr/pub/mol_phylogeny/seaview/archive/${PN}_${PV}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+xft"
+
+DEPEND="x11-libs/fltk:1
+ xft? ( x11-libs/libXft
+ x11-libs/fltk:1[xft] )"
+RDEPEND="${DEPEND}
+ sci-biology/clustalw
+ || ( sci-libs/libmuscle sci-biology/muscle )
+ sci-biology/phyml"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+ # respect CXXFLAGS (package uses them as CFLAGS)
+ sed -i \
+ -e "s:^CXX.*:CXX = $(tc-getCXX):" \
+ -e "s:\$(OPT):${CXXFLAGS}:" \
+ -e "s:^OPT:#OPT:" \
+ -e "s:^#IFLTK .*:IFLTK = $(fltk-config --use-images --cxxflags):" \
+ -e "s:^#LFLTK .*:LFLTK = $(fltk-config --use-images --ldflags):" \
+ -e "s:^USE_XFT:#USE_XFT:" \
+ -e "s:^#HELPFILE:HELPFILE:" \
+ -e "s:^#PHYMLNAME:PHYMLNAME:" \
+ Makefile || die "sed failed while editing Makefile"
+
+ if use xft; then
+ sed -i \
+ -e "s:^#USE_XFT .*:USE_XFT = -DUSE_XFT $(pkg-config --cflags xft):" \
+ -e "s:-lXft:$(pkg-config --libs xft):" \
+ Makefile || die "sed failed while editing Makefile to enable xft"
+ else
+ sed -i -e "s:-lXft::" Makefile || die
+ fi
+ base_src_prepare
+}
+
+src_install() {
+ dobin seaview || die
+
+ # /usr/share/seaview/seaview.html is hardcoded in the binary, see Makefile
+ insinto /usr/share/seaview
+ doins example.nxs seaview.html
+
+ insinto /usr/share/seaview/images
+ doins seaview.xpm || die
+
+ make_desktop_entry seaview Seaview
+
+ doman seaview.1 || die
+}